Index: include/asterisk/syslog.h
===================================================================
--- include/asterisk/syslog.h	(revision 385744)
+++ include/asterisk/syslog.h	(working copy)
@@ -28,6 +28,8 @@
 extern "C" {
 #endif
 
+#define ASTNUMLOGLEVELS 32
+
 /*!
  * \since 1.8
  * \brief Maps a syslog facility name from a string to a syslog facility
Index: main/syslog.c
===================================================================
--- main/syslog.c	(revision 385744)
+++ main/syslog.c	(working copy)
@@ -163,8 +163,16 @@
 
 int ast_syslog_priority_from_loglevel(int level)
 {
+	/* First 16 levels are reserved for system use.
+	 * Default to using LOG_NOTICE for dynamic logging.
+	 */
+	if (level >= 16 && level < ASTNUMLOGLEVELS) {
+		return LOG_NOTICE;
+	}
+
 	if (level < 0 || level >= ARRAY_LEN(logger_level_to_syslog_map)) {
 		return -1;
 	}
+
 	return logger_level_to_syslog_map[level];
 }
